/* You can add global styles to this file, and also import other style files */
@import './theme-variables';

*,
:before,
:after {
  box-sizing: border-box;
}

body {
  background: $bg-color;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: 0;
  padding: 0;
  height: 100vh;
  width: 100%;
  font-family: AvenirLTStd-Medium;
}

h1 {
  font-size: 3em;
  font-weight: 300;
  text-align: center;
  color: $hl-color;
}
h5 {
  text-align: center;
  text-transform: uppercase;
  color: $muted-color;
}

// FORM // ============================== //
form {
  display: flex;
  flex-flow: column;
  align-items: center;
}

.group {
  position: relative;
  margin: 10px 0;
}

// INPUTS // ============================== //
textarea {
  resize: none;
}

input,
textarea {
  background: none;
  color: $muted-color;
  font-size: 18px;
  padding: 10px 10px 10px 5px;
  display: block;
  width: $width;
  border: none;
  border-radius: 0;
  border-bottom: 1px solid $muted-color;
  &:focus {
    outline: none;
  }
  &:focus ~ label,
  &:valid ~ label {
    top: -14px;
    font-size: 12px;
    color: $hl-color;
  }
  &:focus ~ .bar:before {
    width: $width;
  }
}

input[type="password"] {
  letter-spacing: 0.3em;
}

label {
  color: $muted-color;
  font-size: 16px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 10px;
  transition: $trans-time ease all;
}

.bar {
  position: relative;
  display: block;
  width: $width;
  &:before {
    content: '';
    height: 2px;
    width: 0;
    bottom: 0px;
    position: absolute;
    background: $hl-color;
    transition: $trans-time ease all;
    left: 0%;
  }
}

// BUTTONS // ============================== //
.btn {
  background: #fff;
  color: mix(black, $muted-color, 25%);
  border: none;
  padding: 10px 20px;
  margin: 0 3px;
  border-radius: 3px;
  letter-spacing: 0.06em;
  text-transform: uppercase;
  text-decoration: none;
  outline: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
  &:hover {
    color: mix(black, $muted-color, 30%);
    box-shadow: 0 7px 14px rgba(0, 0, 0, 0.18), 0 5px 5px rgba(0, 0, 0, 0.12);
  }
  &.btn-link {
    background: $hl-color;
    color: mix(white, $hl-color, 80%);
    &:hover {
      background: darken($hl-color, 5%);
      color: mix(white, $hl-color, 85%);
    }
  }
  &.btn-submit {
    background: $hl-color;
    color: mix(white, $hl-color, 70%);
    &:hover {
      background: darken($hl-color, 5%);
      color: mix(white, $hl-color, 85%);
    }
  }
  &.btn-cancel {
    background: #eee;
    &:hover {
      background: darken(#eee, 5%);
      color: mix(black, $muted-color, 30%);
    }
  }
}

.btn-box {
  text-align: center;
  margin: 50px 0;
}

.sep {
  background: $hl-color;
  box-shadow: none;
  border: none;
  height: 2px;
}

// list view
// div.list-item {
//   position: relative;
//   padding: 10px;
//   padding-left: 35px;
//   margin: 20px 10px;
//   box-shadow:0 2px 5px rgba(0,0,0,.3);
//   background: rgb(207, 202, 202);
//   // color: #FFF;
//   // color: mix(black, $muted-color, 25%);
//   // width: 1000px;
  
//   -webkit-transition: all .5s ease;
//      -moz-transition: all .5s ease;
//       -ms-transition: all .5s ease;
//        -o-transition: all .5s ease;
//           transition: all .5s ease;
// }
// div.list-item:hover{
//   box-shadow: 0 15px 20px rgba(10,0,10,.3);
//   -webkit-filter: brightness(110%);
// }
// div.list-item {
//   position: relative;
//   padding: 10px;
//   padding-left: 35px;
//   margin: 20px 10px;
//   box-shadow:0 2px 5px rgba(0,0,0,.3);
//   background: rgb(207, 202, 202);
//   display: flex;
//   align-items: center;
  
//   -webkit-transition: all .5s ease;
//      -moz-transition: all .5s ease;
//       -ms-transition: all .5s ease;
//        -o-transition: all .5s ease;
//           transition: all .5s ease;
  
//   .bet-number {
//       // margin: 0 auto;
//       text-align: center;
//       padding: 0;
//       list-style-type: none;
//       display: flex;
//       justify-content: center;
      

//       li {
//           width: 50px;
//           height: 50px;
//           line-height: 40px;
//           font-size: 24px;
//           background: none;
//           color: $hl-color;
//           border: 4px solid $hl-color;
//           margin: 0 5px;
//           border-radius: 50%;
//           box-shadow: 5px 10px 10px rgba(48, 17, 219, 0.3);
//       }
//   }

//   .player-name {
//       color: $hl-color;
//       text-transform: uppercase;
//       flex-basis: 30%;
//   }

//   .date {
//       position: absolute;
//       right: 5px;
//       bottom: 5px;
//   }
// }

// div.list-item:hover{
//   box-shadow: 0 15px 20px rgba(10,0,10,.3);
//   -webkit-filter: brightness(110%);
// }